# thread File Reference

Go to the source code of this file.

## Classes

- struct std::hash< thread::id >
    std::hash specialization for thread::id. More...
- class std::thread
    thread More...
- class std::thread::id
    thread::id More...

## Namespaces

- namespace std
- namespace std::this_thread

## Functions

- thread::id std::this_thread::get_id ()
- bool std::operator!= (thread::id __x, thread::id __y)
- template<class _CharT , class _Traits > basic_ostream< _CharT, _Traits > & std::operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)
- bool std::operator<= (thread::id __x, thread::id __y)
- bool std::operator> (thread::id __x, thread::id __y)
- bool std::operator>= (thread::id __x, thread::id __y)
- template<typename _Rep , typename _Period > void std::this_thread::sleep_for (const chrono::duration< _Rep, _Period > &__rtime)
- template<typename _Clock , typename _Duration > void std::this_thread::sleep_until (const chrono::time_point< _Clock, _Duration > &__atime)
- void std::swap (thread &__x, thread &__y)
- void std::this_thread::yield ()

## Detailed Description

This is a Standard C++ Library header.

Definition in file thread.